﻿using System;
using System.Net;

namespace VPAppIntfServiceClient
{
    class Program
    {
        static void Main(string[] args)
        {
            #region AEP 6 可正常引用
            try
            {
                var account = "";
                var pwd = "";
                
                Aep6.VPAppIntfService.VPAppIntfService client = new Aep6.VPAppIntfService.VPAppIntfService();
                client.Timeout = 5000;
                client.Credentials = new NetworkCredential(account, pwd);
                var res = client.queryResources(
                    new Aep6.VPAppIntfService.QueryResourcesRequest() 
                    {
                        queryResourcesRequestUnused = 0, queryResourcesRequestUnusedSpecified = true
                    });
                Console.WriteLine($"AEP 6 queryResources : {res.totalRes_returned}");
            }
            catch (Exception ex)
            {
                Console.WriteLine($"AEP 6 queryResources : {ex.Message}");
            }
            #endregion

            #region AEP 7 可正常引用
            try
            {
                var account = "";
                var pwd = "";

                Aep7.VPAppIntfService.VPAppIntfService client = new Aep7.VPAppIntfService.VPAppIntfService();
                client.Timeout = 5000;
                client.Credentials = new NetworkCredential(account, pwd);
                var res = client.queryResources(
                    new Aep7.VPAppIntfService.QueryResourcesRequest()
                    {
                        queryResourcesRequestUnused = 0,
                        queryResourcesRequestUnusedSpecified = true
                    });
                Console.WriteLine($"AEP 7 queryResources : {res.totalRes_returned}");
            }
            catch (Exception ex)
            {
                Console.WriteLine($"AEP 7 queryResources : {ex.Message}");
            }
            #endregion

            #region AEP 8 無法引用
            //try
            //{
            //    var account = "";
            //    var pwd = "";

            //    Aep8.VPAppIntfService.VPAppIntfService client = new Aep8.VPAppIntfService.VPAppIntfService();
            //    client.Timeout = 5000;
            //    client.Credentials = new NetworkCredential(account, pwd);
            //    var res = client.queryResources(
            //        new Aep8.VPAppIntfService.QueryResourcesRequest()
            //        {
            //            queryResourcesRequestUnused = 0,
            //            queryResourcesRequestUnusedSpecified = true
            //        });
            //    Console.WriteLine($"AEP 8 queryResources : {res.totalRes_returned}");
            //}
            //catch (Exception ex)
            //{
            //    Console.WriteLine($"AEP 8 queryResources : {ex.Message}");
            //}
            #endregion

            Console.WriteLine("press any key to end");
            Console.ReadKey();
        }
    }
}
